Class Index | File Index

## Classes

- _global_
- M
- M.ActionSheetDialogView
- M.AlertDialogView
- M.Application
- M.Base64
- M.ButtonGroupView
- M.ButtonView
- M.ConfirmDialogView
- M.ContainerView
- M.Controller
- M.Cypher
- M.DataProvider
- M.Date
- M.DateValidator
- M.EmailValidator
- M.Environment
- M.EventDispatcher
- M.FormView
- M.GridView
- M.I18N
- M.ImageView
- M.LabelView
- M.ListItemView
- M.ListView
- M.LoaderView
- M.LocalStorageProvider
- M.Logger
- M.Math
- M.Model
- M.ModelAttribute
- M.ModelRegistry
- M.NotMinusValidator
- M.NumberValidator
- M.Object
- M.Observable
- M.PageView
- M.PhoneValidator
- M.PresenceValidator
- M.RecordManager
- M.RemoteStorageProvider
- M.Request
- M.ScrollView
- M.SearchBarView
- M.SelectionListItemView
- M.SelectionListView
- M.SHA256
- M.TabBarItemView
- M.TabBarView
- M.TextFieldView
- M.ToggleView
- M.ToolbarView
- M.UrlValidator
- M.Validator
- M.View
- M.ViewManager
- M.WebSqlProvider

# Class M.ActionSheetDialogView

Extends M.DialogView.
This is the prototype for any action sheet dialog view. It is derived from M.DialogView and mainly used for implementing a action sheet dialog view specific render method.
Defined in: action_sheet_dialog.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| M.ActionSheetDialogView()

Field Summary
Field Attributes | Field Name and Description
--- | ---
| hasCancelButton Determines whether the action sheet dialog gets a default cancel button.
| title The default title of an action sheet dialog.
| transition The default transition of an action sheet dialog.
| type The type of this object.

Fields borrowed from class M.DialogView:
  buttonIds, callback
Fields borrowed from class M.View:
  childViews, contentBinding, cssClass, cssClassOnError, cssClassOnInit, cssStyle, hasFocus, html, id, isInline, isView, modelId, parentView, triggerActionOnChange, triggerActionOnEnter, triggerActionOnKeyUp, value

Methods borrowed from class M.DialogView:
  actionSheet, alert, confirm
Methods borrowed from class M.View:
  addCssClass, attachToObservable, clearHtml, computeValue, contentDidChange, delegateValueUpdate, design, gotFocus, lostFocus, nl2br, removeCssClass, removeCssProperty, renderUpdate, secure, setCssProperty, setValueFromDOM, style, theme, themeChildViews
Methods borrowed from class M.Object:
  bindToCaller, create, destroy, extend, get, include, set

Class Detail
M.ActionSheetDialogView()
Field Detail
{Boolean} hasCancelButton
Determines whether the action sheet dialog gets a default cancel button.

{String} title
The default title of an action sheet dialog.

{String} transition
The default transition of an action sheet dialog.

{String} type
The type of this object.

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Dec 08 2010 15:07:28 GMT+0100 (MEZ)